### Function

# GObject signal_handler_disconnect

#### Declaration [src]

    void
    g_signal_handler_disconnect (
      GObject* instance,
      gulong handler_id
    )

#### Description [src]

Disconnects a handler from an instance so it will not be called during any future or currently ongoing emissions of the signal it has been connected to. The `handler_id` becomes invalid and may be reused.

The `handler_id` has to be a valid signal handler id, connected to a signal of `instance`.

#### Parameters

`instance`

  Type: `GObject`

  The instance to remove the signal handler from.

  The data is owned by the caller of the function.

`handler_id`

  Type: `gulong`

  Handler id of the handler to be disconnected.